Summary:	An archive plugin for the Thunar File Manager
Name:		thunar-archive-plugin
Version:	0.2.4
Release: 	%mkrel 2
License:	GPL
Group:		Graphical desktop/Xfce
URL:		http://foo-projects.org/~benny/projects/thunar-archive-plugin
Source0:	%{name}-%{version}.tar.bz2
Requires:	thunar >= 0.2.2
BuildRequires:	thunar-devel >= 0.2.2
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
The thunar-archive-plugin is a plugin for the Thunar File Manager, which
adds archive operations to the file context menus. Using this plugin you
will be able to extract and create archive files from within Thunar using
a single click.
The plugin now supports a variety of archive managers through a generic
interface, that requires the archive manager to install a .desktop file
as usual, that lists the supported mime types, and a .tap file that acts
as a wrapper script to invoke the archive manager with the appropriate
parameters for the create, extract-here and extract-to actions.
Wrapper scripts for file-roller (the GNOME archive manager) and ark (the
KDE archive manager) have been added. Xarchiver, the Xfce archive manager,
will include an appropriate xarchiver.tap file in the next release. 

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang %{name}

%post
%update_icon_cache hicolor

%postun
%clean_icon_cache hicolor

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README THANKS 
%{_libdir}/thunarx-1/*
%{_libdir}/%{name}/*
%{_iconsdir}/hicolor/*/apps/*


%changelog
* Thu May 31 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.4-2mdv2007.1
+ Revision: 33277
- spec file clean
- add macros to %%post and %%postun


* Mon Feb 05 2007 Jérôme Soyer <saispo@mandriva.org> 0.2.4-1mdv2007.0
+ Revision: 116280
- New release 0.2.4
- New release 0.2.2
- Import thunar-archive-plugin

* Wed Jul 05 2006 Charles A Edwards <eslrahc@mandriva.org> 0.2.0-1mdv2007.0
- 0.2.0
- rm explicit R for file-roller
- update file list

* Sat Jun 24 2006 Charles A Edwards <eslrahc@mandriva.org> 0.1.2-1mdv2007.0
- initial mandriva package

